//
//  ViewController.swift
//  SparksFly
//
//  Created by Jake Marsh on 5/20/15.
//  Copyright (c) 2015 Magnus. All rights reserved.
//

import UIKit
import SpriteKit

let heartHeight: CGFloat = 18.0
let heartsFile = "heart-bubbles.sks"

class HeartBubblesScene : SKScene {
    var emitter: SKEmitterNode?

    override func didMoveToView(view: SKView) {
        scaleMode = .ResizeFill // make scene's size == view's size
        backgroundColor = UIColor.whiteColor()
    }

    func beginBubbling() {
        if let e = emitter {
            e.resetSimulation()
        } else {
            emitter = SKEmitterNode(fileNamed: heartsFile)

            let x = floor(size.width / 2.0)
            let y = heartHeight
            
            emitter!.position = CGPointMake(x, y)
            
            emitter!.name = "heart-bubbles"
            emitter!.targetNode = self
            
            addChild(emitter!)
        }
    }
}

class ViewController: UIViewController {
    @IBOutlet weak var heartBubblesView: SKView!
    let heartBubblesScene = HeartBubblesScene()

    override func viewDidLoad() {
        super.viewDidLoad()

        heartBubblesView.presentScene(heartBubblesScene)
    }

    @IBAction func interestedTapped(sender: UIButton) {
        heartBubblesScene.beginBubbling()
    }
}
